### Method

# Fwupd Client get_details_bytes

since: 1.5.0

#### Declaration [src]

    GPtrArray*
    fwupd_client_get_details_bytes (
      FwupdClient* self,
      GBytes* bytes,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets details about a specific firmware file.

Available since: 1.5.0

#### Parameters

`bytes`

  Type: `GBytes`

  The firmware archive.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `None`

An array of results.

The caller of the method takes ownership of the returned data container, but not the data inside it.